#
# spec file for package perl-PHP-Serialization
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-PHP-Serialization
Version:        0.34
Release:        13.33
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name PHP-Serialization
Summary:        De-/serialize() PHP output into Perl
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PHP-Serialization/
#Source:         http://www.cpan.org/authors/id/B/BO/BOBTFISH/PHP-Serialization-0.34.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Provides a simple, quick means of serializing perl memory structures
(including object data!) into a format that PHP can deserialize() and
access, and vice versa.

NOTE: Converts PHP arrays into Perl Arrays when the PHP array used
exclusively numeric indexes, and into Perl Hashes then the PHP array did
not.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Fri Mar  4 2011 chris@computersalat.de
- update to 0.34
  - Fix keys and values like '010' being serialized as strings as expected
  rather than being turned into ints. (RT#48594)
- 0.33  2009-07-14
  - Added ability to store the order of the keys on decoding
  PHP assoc array (Alexander Bassilov)
  - Added ability to sort the keys on encoding HASHes (Alexander
  Bassilov)
- recreated by cpanspec 1.78.03
  o noarch pkg
- mv changelog to changes file
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- update to 0.32
  o 0.32
  - Making finite state machine
  - Fixed bug in arrays RT21218
  - RT24441 is not a bug
  - Croaks on incomplete strings. RT44700
  - Fixed bug with float as index. RT42029
  - Removed warning from POD
  - Changed todo in POD
  - BOLAV@cpan.org
  o 0.31
  - Add warning note to POD
  - Take patch from RT#45024 to fix boolean deserialization bug.
  o 0.30
  - Significantly cleanup the code to be much prettier.
  - Fix RT#42279, output sizes a bytes, not characters so that
    serializing multibyte data works correctly.
  o 0.29
  - Fix bug with negative numbers, RT#6402, patch from
    <tom [...] eborcom.com>
  - Add TODO test for RT21218
  - Add TODO test for RT24441
  o 0.28
  - Serializing long integers comes out  as -1 on the PHP end
    as noted in RT#6112 patch from <kcivey [...] cpcug.org>.
  - Add test for the issue above (t0m).
  - Fix POD as noted in RT#6113 by MCMAHON.
  - Only require perl 5.6 in Makefile.PL as noted in RT#17034
    by <kcivey [...] cpcug.org>
- added perl-macros
  o autogen filelist with perl_gen_filelist
* Mon Aug 25 2008 rpm@scorpio-it.net
- initial Package 0.27
